Skip to content

teams

Scout API 1.0.0 — see schemas for shared types.

GET /api/teams

list_teams

Responses

POST /api/teams

create_team

Request body

Content-Type: application/json

Schema: CreateTeamBody

Responses

DELETE /api/teams/{team_id}

delete_team

Parameters

Name In Type Required Description
team_id path string (uuid) yes

Responses

  • 204 — No Content
  • 422 — Unprocessable Content
  • application/jsonValidationError

GET /api/teams/{team_id}

get_team

Parameters

Name In Type Required Description
team_id path string (uuid) yes

Responses

PATCH /api/teams/{team_id}

update_team

Parameters

Name In Type Required Description
team_id path string (uuid) yes

Request body

Content-Type: application/json

Schema: UpdateTeamBody

Responses

PUT /api/teams/{team_id}/members

set_team_members

Parameters

Name In Type Required Description
team_id path string (uuid) yes

Request body

Content-Type: application/json

Schema: TeamPrincipalsBody

Responses

PUT /api/teams/{team_id}/owners

set_team_owners

Parameters

Name In Type Required Description
team_id path string (uuid) yes

Request body

Content-Type: application/json

Schema: TeamPrincipalsBody

Responses